from unitls.LogerinTxt import app_logger
from .flightDB import flightDB


def getphonelist(fdb:flightDB):
    try:
        phonelists=fdb.getAlldata("workerinfo")
        num = 0
        res={}
        if len(phonelists) != 0:
            for i in phonelists:
                phonelist = {}
                phonelist["序号"]=num
                phonelist["姓名"] = i[1]
                phonelist["部门"] = i[2]
                phonelist["电话"] = i[5]
                phonelist["name"] = i[11]
                res[num]=phonelist
                num+=1
        return res
    except Exception as e:
        app_logger.log_error(e)